# Constant Field Values

## Contents

- org.tanukisoftware.*

## org.tanukisoftware.*

org.tanukisoftware.wrapper.WrapperActionServer
Modifier and Type
Constant Field
Value
`public static final byte`
`COMMAND_ACCESS_VIOLATION`
`0x56`
`public static final byte`
`COMMAND_APPEAR_HUNG`
`0x47`
`public static final byte`
`COMMAND_DUMP`
`0x44`
`public static final byte`
`COMMAND_HALT_EXPECTED`
`0x48`
`public static final byte`
`COMMAND_HALT_UNEXPECTED`
`0x55`
`public static final byte`
`COMMAND_RESTART`
`0x52`
`public static final byte`
`COMMAND_SHUTDOWN`
`0x53`
org.tanukisoftware.wrapper.WrapperManager
Modifier and Type
Constant Field
Value
`public static final int`
`SERVICE_CONTROL_CODE_CONTINUE`
`3`
`public static final int`
`SERVICE_CONTROL_CODE_INTERROGATE`
`4`
`public static final int`
`SERVICE_CONTROL_CODE_PAUSE`
`2`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_BATTERYLOW`
`3337`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_OEMEVENT`
`3339`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_POWERSTATUSCHANGE`
`3338`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_QUERYSUSPEND`
`3328`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_QUERYSUSPENDFAILED`
`3330`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_RESUMEAUTOMATIC`
`3346`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_RESUMECRITICAL`
`3334`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_RESUMESUSPEND`
`3335`
`public static final int`
`SERVICE_CONTROL_CODE_POWEREVENT_SUSPEND`
`3332`
`public static final int`
`SERVICE_CONTROL_CODE_SHUTDOWN`
`5`
`public static final int`
`SERVICE_CONTROL_CODE_START`
`65536`
`public static final int`
`SERVICE_CONTROL_CODE_STOP`
`1`
`public static final int`
`WRAPPER_CTRL_C_EVENT`
`200`
`public static final int`
`WRAPPER_CTRL_CLOSE_EVENT`
`201`
`public static final int`
`WRAPPER_CTRL_HUP_EVENT`
`205`
`public static final int`
`WRAPPER_CTRL_LOGOFF_EVENT`
`202`
`public static final int`
`WRAPPER_CTRL_SHUTDOWN_EVENT`
`203`
`public static final int`
`WRAPPER_CTRL_TERM_EVENT`
`204`
`public static final int`
`WRAPPER_CTRL_USR1_EVENT`
`206`
`public static final int`
`WRAPPER_CTRL_USR2_EVENT`
`207`
`public static final int`
`WRAPPER_LOG_LEVEL_ADVICE`
`7`
`public static final int`
`WRAPPER_LOG_LEVEL_DEBUG`
`1`
`public static final int`
`WRAPPER_LOG_LEVEL_ERROR`
`5`
`public static final int`
`WRAPPER_LOG_LEVEL_FATAL`
`6`
`public static final int`
`WRAPPER_LOG_LEVEL_INFO`
`2`
`public static final int`
`WRAPPER_LOG_LEVEL_NOTICE`
`8`
`public static final int`
`WRAPPER_LOG_LEVEL_STATUS`
`3`
`public static final int`
`WRAPPER_LOG_LEVEL_WARN`
`4`
org.tanukisoftware.wrapper.WrapperProcessConfig
Modifier and Type
Constant Field
Value
`public static final int`
`DYNAMIC`
`4`
`public static final int`
`FORK_EXEC`
`2`
`public static final int`
`POSIX_SPAWN`
`1`
`public static final int`
`VFORK_EXEC`
`3`
org.tanukisoftware.wrapper.WrapperWin32Service
Modifier and Type
Constant Field
Value
`public static final int`
`SERVICE_STATE_CONTINUE_PENDING`
`5`
`public static final int`
`SERVICE_STATE_PAUSE_PENDING`
`6`
`public static final int`
`SERVICE_STATE_PAUSED`
`7`
`public static final int`
`SERVICE_STATE_RUNNING`
`4`
`public static final int`
`SERVICE_STATE_START_PENDING`
`2`
`public static final int`
`SERVICE_STATE_STOP_PENDING`
`3`
`public static final int`
`SERVICE_STATE_STOPPED`
`1`

org.tanukisoftware.wrapper.event.WrapperEventListener
Modifier and Type
Constant Field
Value
`public static final long`
`EVENT_FLAG_CONTROL`
`2L`
`public static final long`
`EVENT_FLAG_CORE`
`-1152921504606846976L`
`public static final long`
`EVENT_FLAG_LOGGING`
`4L`
`public static final long`
`EVENT_FLAG_REMOTE_CONTROL`
`8L`
`public static final long`
`EVENT_FLAG_SERVICE`
`1L`
org.tanukisoftware.wrapper.event.WrapperServiceActionEvent
Modifier and Type
Constant Field
Value
`public static final int`
`SOURCE_CODE_COMMAND_BLOCK_TIMEOUT`
`22`
`public static final int`
`SOURCE_CODE_COMMANDFILE`
`2`
`public static final int`
`SOURCE_CODE_DEADLOCK`
`10`
`public static final int`
`SOURCE_CODE_FILTER`
`1`
`public static final int`
`SOURCE_CODE_ON_EXIT`
`4`
`public static final int`
`SOURCE_CODE_SIGNAL`
`5`
`public static final int`
`SOURCE_CODE_TIMER`
`21`
`public static final int`
`SOURCE_CODE_WINDOWS_SERVICE_MANAGER`
`3`

org.tanukisoftware.wrapper.test.RuntimeExec
Modifier and Type
Constant Field
Value
`public static final int`
`EXIT_CODE_ERROR`
`1`
`public static final int`
`EXIT_CODE_NORMAL`
`0`